Getting Started

Welcome to the CircleHQ API your toolkit for automating marketing, sales, and support to drive growth and retention.

Utilise our APIs to create and manage your contacts.

We understand that technical integration might need some help from our end. feel free to reach out to
+4915753557160 (whatsApp) or [email protected] to discuss your use case, we would be happy to support and integrate them to our external APIs

What Can You Do?

With the CircleHQ API, you can:

  • Create and manage your contacts.
  • Transactional Messages (Emails & Sms)
  • Push notification SDK
  • Event Ingestion (coming soon)

Before You Start

🛠️

Prerequisite

You need a CircleHQ account to access the API.👉 Create one here

Once registered:

  1. Log in to the dashboard.
  2. Go to Settings > API Keys.
  3. Create and copy your API key to get started.

Authentication

All API requests must be authenticated using your API key.

⚠️

Security Warning

  • Never expose your Api Key in client-side code
  • Never commit it to Git or public repositories
  • Store it securely

API Basics

HTTP Formats

PurposeMethod
GETFetch records.
POSTCreate new records.
PATCHUpdate existing records.
DELETEDelete existing records.

Request Format

All requests should:

  • Include an x-api-key header with your API key.
  • Include Content-Type: application/json in headers.
  • Use a JSON-formatted request body

Example:

POST https://api.circlehq.co/contact
x-api-key: YOUR-API-KEY
Content-Type: application/json

POST Response FormatSuccessful responses follow this structure:

JSON

{
"statusCode": 200,  
"message": "Request successful",
"data": {
// Your payload here
},
"type":"CONTACT",
"meta":{}

}

On failure:

{
"statusCode": 400,  
"message": "Request successful",
"errors": [{
// Your errors here
}],
"type":"CONTACT",

}

Rate Limiting

⚠️

Rate Limit Policy

Excessive requests will return a 429 Too Many Requests error. Use retries and exponential backoff in your implementation.

☁️

Need Help?

Contact Support for help and updates.